#!/usr/bin/env node


var ponSchema = require('pon-schema');

var schema = ponSchema({
    type: 'object',
    properties: {
        firstname: {
            type: 'string',
            minLength: 2,
            maxLength: 15
        },
        lastname: {
            type: 'string',
            minLength: 2,
            maxLength: 25
        }
    },
    required: ['firstname', 'lastname']
});

var validationError = schema.validate({
    firstname: 'Bob'
});

console.log(validationError); //-> {lastname: {required: true}}